[debian-edu-commits] [Git][debian-edu/upstream/sitesummary][master] 3 commits: Added code in system collector for 'zpool status' when available.
Petter Reinholdtsen
gitlab at salsa.debian.org
Fri Jan 25 11:21:54 GMT 2019
Petter Reinholdtsen pushed to branch master at Debian Edu / upstream / sitesummary
Commits:
4604128b by Petter Reinholdtsen at 2019-01-25T11:12:26Z
Added code in system collector for 'zpool status' when available.
- - - - -
261e17f5 by Petter Reinholdtsen at 2019-01-25T11:14:55Z
Added collector for information from IPMI.
- - - - -
e2ea5ae2 by Petter Reinholdtsen at 2019-01-25T11:21:41Z
Document changes in d/changelog.
- - - - -
4 changed files:
- + collect.d/ipmi
- collect.d/system
- debian/changelog
- debian/control
Changes:
=====================================
collect.d/ipmi
=====================================
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin
+
+# Keep going even if one of the programs report an error code
+# set -e
+
+if ! type ipmitool >/dev/null 2>&1 ; then
+ exit 0
+fi
+
+mkdir ipmi && cd ipmi
+
+for devnum in 0; do
+ ipmitool -d$devnum lan print > dev-$devnum-lan-print
+ ipmitool user list > dev-$devnum-user-list
+done
=====================================
collect.d/system
=====================================
@@ -47,6 +47,11 @@ for diskdev in $(grep 'sd.$' /proc/partitions|awk '{print $4}'|sort); do
hdparm -I /dev/$diskdev || true
done > hdparm-I
+# Collect zfs hard disk information too
+if type zpool >/dev/null 2>&1 ; then
+ zpool status > zpool-status
+fi
+
# Collect mount points, for nagios configuration
cp /etc/fstab fstab
cat /proc/mounts > procmounts
=====================================
debian/changelog
=====================================
@@ -1,9 +1,14 @@
sitesummary (0.1.40) UNRELEASED; urgency=medium
+ [ Holger Levsen ]
* d/sitesummary-client.postinst: drop code supporting pre-squeeze versions,
thanks lintian.
- -- Holger Levsen <holger at debian.org> Wed, 16 Jan 2019 15:11:57 +0100
+ [ Petter Reinholdtsen ]
+ * Added code in system collector for 'zpool status' when available.
+ * Added collector for information from IPMI.
+
+ -- Petter Reinholdtsen <pere at debian.org> Fri, 25 Jan 2019 12:21:21 +0100
sitesummary (0.1.39) unstable; urgency=medium
=====================================
debian/control
=====================================
@@ -33,7 +33,7 @@ Package: sitesummary-client
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg, net-tools
Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
-Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr
+Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
Description: Generate site summary of submitting hosts (client part)
The sitesummary system makes it easier to keep track of a lot of
machines, by allowing each machine to report their existence once a
View it on GitLab: https://salsa.debian.org/debian-edu/upstream/sitesummary/compare/b9d26485ca69aa78fedc503ca11e10eb076ddd28...e2ea5ae245239810898dd93954b90dca25743862
--
View it on GitLab: https://salsa.debian.org/debian-edu/upstream/sitesummary/compare/b9d26485ca69aa78fedc503ca11e10eb076ddd28...e2ea5ae245239810898dd93954b90dca25743862
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-edu-commits/attachments/20190125/b88d32be/attachment-0001.html>
More information about the debian-edu-commits
mailing list